    import SnapshotRepository from 'pvbid-sdk/src/repositories/SnapshotRepository.js'

public class | source

# SnapshotRepository

#### Extends:

BaseRepository → SnapshotRepository

## Constructor Summary

Public Constructor
public | constructor() |

## Member Summary

Public Members
public | endpoint: string |

## Method Summary

Public Methods
public | async create(bidId: *, snapshotObject: *): * |
public | async delete(bidId: *, snapshotId: *): * |
public | async findById(bidId: *, snapshotId: *): * |
public | async get(bidId: *, params: *, forceReload: *): * |
public | async recover(bidId: *, snapshotId: *): * |
public | async save(bidId: *, snapshotObject: *): * |

## Inherited Summary

From class BaseRepository
public | endpoint: * |
public | http: * |
public | httpConfig: * |
public | map: {"single": *, "multi": *} |
public | metaData: * |
public | params: {} |
public | async create(entity: BidEntity): Promise<BidEntity> Persists a new entity |
public | async delete(id: number): Promise<Object> Deletes a single entity by its id |
public | async findById(id: number): Promise<BidEntity> Retrieves a single domain object by its id. |
public | async get(params: Object): Promise<BidEntity[]> Retrieves an array of results for the endpoint |
public | async save(entity: BidEntity): Promise<BidEntity> Persists an update to the entity |

## Public Constructors

### public constructor() source

Creates an instance of BaseRepository.

#### Override:

BaseRepository#constructor

## Public Members

### public endpoint: string source

#### Override:

BaseRepository#endpoint

## Public Methods

### public async create(bidId: *, snapshotObject: *): * source

Persists a new entity

#### Override:

BaseRepository#create

#### Params:

Name | Type | Attribute | Description
bidId | * |  |
snapshotObject | * |  |

#### Return:

*

### public async delete(bidId: *, snapshotId: *): * source

Deletes a single entity by its id

#### Override:

BaseRepository#delete

#### Params:

Name | Type | Attribute | Description
bidId | * |  |
snapshotId | * |  |

#### Return:

*

### public async findById(bidId: *, snapshotId: *): * source

Retrieves a single domain object by its id.

#### Override:

BaseRepository#findById

#### Params:

Name | Type | Attribute | Description
bidId | * |  |
snapshotId | * |  |

#### Return:

*

### public async get(bidId: *, params: *, forceReload: *): * source

Retrieves an array of results for the endpoint

#### Override:

BaseRepository#get

#### Params:

Name | Type | Attribute | Description
bidId | * |  |
params | * |  |
forceReload | * |  |

#### Return:

*

### public async recover(bidId: *, snapshotId: *): * source

#### Params:

Name | Type | Attribute | Description
bidId | * |  |
snapshotId | * |  |

#### Return:

*

### public async save(bidId: *, snapshotObject: *): * source

Persists an update to the entity

#### Override:

BaseRepository#save

#### Params:

Name | Type | Attribute | Description
bidId | * |  |
snapshotObject | * |  |

#### Return:

*